Bug 18116 - During installation I got following error message
During installation I got following error message
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-02 14:09 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-03 16:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-02 14:09:34 EDT
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in 
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in 
setScreen
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/package_gui.py", line 
426, in getScreen
    self.todo.getHeaderList ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 532, in 
getHeaderList
    self.hdList = self.method.readHeaders()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 22, in 
readHeaders
    return HeaderListFromFile(self.tree + "/RedHat/base/hdlist")
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 136, in 
__init__
    hdlist = rpm.readHeaderListFromFile(path)
rpm.error: (2, 'No such file or directory')

Local variables in innermost frame:
compatPackages: None
self: <comps.HeaderListFromFile instance at 84e3d78>
path: /mnt/source/./RedHat/base/hdlist

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
NfsInstallMethod
p4
(dp5
S'tree'
p6
S'/mnt/source/.'
sbsS'initlevel'
p7
I3
sS'progressWindow'
p8
NsS'expert'
p9
I0
sS'ddruidReadOnly'
p10
I0
sS'bootdisk'
p11
I0
sS'language'
p12
(itodo
Language
(dp13
S'abbrevMap'
p14
(dp15
S'es_ES'
p16
S'Spanish'
p17
sS'tr_TR'
p18
S'Turkish'
p19
sS'sr_YU'
p20
S'Serbian'
p21
sS'de_DE'
p22
S'German'
p23
sS'sk_SK'
p24
S'Slovak'
p25
sS'ru_RU.KOI8-R'
p26
S'Russian'
p27
sS'is_IS'
p28
S'Icelandic'
p29
sS'no_NO'
p30
S'Norwegian'
p31
sS'sv_SE'
p32
S'Swedish'
p33
sS'en_US'
p34
S'English'
p35
sS'it_IT'
p36
S'Italian'
p37
sS'da_DK'
p38
S'Danish'
p39
sS'cs_CZ'
p40
S'Czech'
p41
sS'uk_UA.KOI8-U'
p42
S'Ukrainian'
p43
sS'hu_HU'
p44
S'Hungarian'
p45
sS'fr_FR'
p46
S'French'
p47
sS'sl_SI'
p48
S'Slovenian'
p49
sS'ro_RO'
p50
S'Romanian'
p51
ssS'font'
p52
(dp53
g37
S'lat0-sun16'
sg21
S'cyr-sun16'
sg27
S'cyr-sun16'
sg35
S'None'
sg25
S'lat2-sun16'
sg31
S'lat0-sun16'
sg33
S'lat0-sun16'
sg47
S'None'
sg49
S'lat2-sun16'
sg51
S'lat2-sun16'
sg23
S'None'
sg19
S'lat5-sun16'
sg45
S'lat2-sun16'
sg17
S'None'
sg43
S'cyr-sun16'
sg41
S'lat2-sun16'
sg39
S'lat0-sun16'
sg29
S'lat0-sun16'
ssS'langs'
p54
(dp55
g37
g36
sg21
g20
sg27
g26
sg35
g34
sg25
g24
sg31
g30
sg33
g32
sg47
g46
sg49
g48
sg51
g50
sg23
g22
sg19
g18
sg45
g44
sg17
g16
sg43
g42
sg41
g40
sg39
g38
sg29
g28
ssS'info'
p56
(dp57
S'LANG'
p58
g34
ssS'map'
p59
(dp60
g37
S'iso15'
sg21
S'iso05'
sg27
S'koi8-r'
sg35
S'None'
sg25
S'iso02'
sg31
S'iso15'
sg33
S'iso15'
sg47
S'None'
sg49
S'iso02'
sg51
S'iso02'
sg23
S'None'
sg19
S'iso09'
sg45
S'iso02'
sg17
S'None'
sg43
S'koi8-u'
sg41
S'iso02'
sg39
S'iso15'
sg29
S'iso15'
ssS'lang'
p61
g34
sbsS'fstab'
p62
NsS'lilo'
p63
(ililo
LiloConfiguration
(dp64
S'liloDevice'
p65
S'mbr'
p66
sS'initrdsMade'
p67
(dsS'edd'
p68
I0
sS'default'
p69
S'linux'
p70
sS'liloImages'
p71
(dp72
S'hda2'
(g70
I2
tssS'liloLinear'
p73
I1
sS'liloAppend'
p74
S''
sbsS'comps'
p75
NsS'network'
p76
(itodo
Network
(dp77
S'netdevices'
p78
(dp79
S'eth0'
p80
(itodo
NetworkDevice
(dp81
g56
(dp82
S'ONBOOT'
p83
S'yes'
sS'IPADDR'
p84
S'10.10.10.20'
sS'DEVICE'
p85
g80
sS'NETWORK'
S'10.10.10.0'
sS'BOOTPROTO'
p86
S'static'
sS'NETMASK'
p87
S'255.255.255.0'
sS'BROADCAST'
S'10.10.10.255'
ssbsS'eth1'
p88
(itodo
NetworkDevice
(dp89
g56
(dp90
S'ONBOOT'
S'yes'
p91
sS'IPADDR'
S'10.10.11.20'
sS'NETWORK'
S'10.10.11.0'
sS'NETMASK'
S'255.255.255.0'
sS'BROADCAST'
S'10.10.11.255'
sg85
g88
ssbssS'gateway'
p92
S'10.10.10.1'
sS'secondaryNS'
p93
S''
sS'hostname'
p94
S'test20.tesys.com'
sS'primaryNS'
p95
S'207.5.58.2'
sS'domains'
p96
(lsS'isConfigured'
p97
I1
sS'readData'
p98
I1
sS'ternaryNS'
p99
S''
sbsS'upgrade'
p100
I0
sS'instClass'
p101
(icustom
InstallClass
(dp102
S'rootPasswordCrypted'
p103
I0
sS'nameserver'
p104
S''
sS'x'
NsS'rootPassword'
p105
NsS'makeBootdisk'
p106
I0
sS'installType'
p107
NsS'postScript'
p108
NsS'earlySwapOn'
p109
I0
sS'networkDevice'
p110
NsS'clearText'
p111
Nsg63
(g66
I1
S''
tsg12
NsS'name'
p112
S''
sS'postInChroot'
p113
I0
sS'pixmap'
p114
S''
sS'partitions'
p115
(lsS'clearType'
p116
Nsg92
S''
sS'mouse'
p117
NsS'packages'
p118
NsS'timezone'
p119
NsS'zeroMbr'
p120
I0
sS'keyboard'
p121
NsS'groups'
p122
NsS'bootProto'
p123
NsS'netmask'
p124
S''
sS'raidList'
p125
(lsS'skipSteps'
p126
(dsS'auth'
p127
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg94
Nsg62
(lsS'showgroups'
p128
NsS'ip'
p129
S''
sS'defaultRunlevel'
p130
NsS'desktop'
p131
S''
sS'clearPartText'
p132
NsS'clearParts'
p133
I0
sbsS'rootpassword'
p134
NsS'extraModules'
p135
(lp136
sg117
(imouse
Mouse
p137
(dp138
S'device'
p139
S'psaux'
p140
sg56
(dp141
S'XMOUSETYPE'
p142
S'PS/2'
p143
sS'FULLNAME'
p144
S'Generic - 3 Button Mouse (PS/2)'
sS'MOUSETYPE'
p145
S'ps/2'
p146
ssS'emu'
p147
I0
sS'wasProbed'
p148
I1
sS'emulate'
p149
I0
sbsS'ddruidAlreadySaved'
p150
I0
sS'serial'
p151
I0
sg119
(S'America/Los_Angeles'
I0
I0
tsg120
I0
sg121
(ikbd
Keyboard
(dp152
S'layout'
p153
NsS'model'
p154
NsS'type'
p155
S'PC'
p156
sg56
(dp157
S'KEYBOARDTYPE'
p158
S'pc'
p159
sS'KEYTABLE'
p160
S'us'
p161
ssbsS'fdDevice'
p162
S'fd0'
p163
sS'installSystem'
p164
I1
sS'setupFilesystems'
p165
I1
sg127
(itodo
Authentication
(dp166
S'useNIS'
p167
I0
sS'nisServer'
p168
S''
sS'useLdap'
p169
I0
sS'krb5Kdc'
p170
S''
sS'useHesiod'
p171
I0
sS'ldapServer'
p172
S''
sS'nisDomain'
p173
S''
sS'krb5Realm'
p174
S''
sS'useLdapauth'
p175
I0
sS'hesiodRhs'
p176
S''
sS'useShadow'
p177
I1
sS'nisuseBroadcast'
p178
I0
sS'useKrb5'
p179
I0
sS'useMD5'
p180
I1
sS'ldapBasedn'
p181
S''
sS'krb5Admin'
p182
S''
sS'hesiodLhs'
p183
S''
sS'hesiodDlhs'
p184
S''
sbsg94
NsS'reconfigOnly'
p185
I0
sS'x'
(ixf86config
XF86Config
p186
(dp187
S'monlist'
p188
(dsS'keyModel'
p189
S'pc101'
p190
sS'monids'
p191
(dsg139
NsS'monEisa'
p192
NsS'server'
p193
S'XF86_Mach64'
sS'monHoriz'
p194
S'31.5'
p195
sS'devID'
p196
S'ATI Mach64'
p197
sS'descr'
p198
S'ATI|Rage XL'
p199
sS'modes'
p200
(dp201
S'8'
(lp202
S'640x480'
p203
assS'keyOptions'
p204
S''
sS'keyVariant'
p205
S''
sS'monID'
p206
S'Unprobed Monitor'
p207
sS'keyLayout'
p208
S'us'
p209
sS'manualModes'
p210
(dsg117
g137
sS'keyRules'
p211
S'xfree86'
p212
sS'monVert'
p213
S'60'
p214
sS'cardMan'
p215
S'ATI MACH64'
p216
sS'monSect'
p217
S''
sS'primary'
p218
I0
sS'vidRam'
p219
S'4096'
sS'probed'
p220
I1
sS'monName'
p221
NsS'vidCards'
p222
(lp223
(dp224
S'SERVER'
S'Mach64'
sS'UNSUPPORTED'
S''
sS'DRIVER'
S'ati'
sS'NOCLOCKPROBE'
S''
sS'NAME'
g197
sS'VENDOR'
p225
g216
sS'CHIPSET'
S'ATI-Mach64'
sasS'skip'
p226
I0
sS'files'
p227
S'\012# The location of the RGB database.  Note, this is the name of 
the\012# file minus the extension (like ".txt" or ".db").  There is 
normally\012# no need to change the default.\012\012    
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are 
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and 
later now use a font server independent of\012# the X server to render 
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    
FontPath   "unix/:7100"\012'
p228
sbsS'users'
p229
NsS'instPath'
p230
S'/mnt/sysimage'
p231
sS'intf'
p232
NsS'hdList'
p233
Nsb.
Comment 1 Pekka Savola 2000-10-02 16:26:08 EDT
Make sure that /RedHat/base/hdlist is there and hasn't been corrupted.
Comment 2 Michael Fulbright 2000-10-03 16:32:28 EDT
Appears to be a corrupt install tree.

Note You need to log in before you can comment on or make changes to this bug.